Page MenuHomePhabricator

1.41.0-wmf.9 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.41.0-wmf.9
Release Date
Mon, May 15, 12:00 AM

2023 week 20 1.41-wmf.9 Changes wmf/1.41.0-wmf.9

This MediaWiki Train Deployment is scheduled for the week of Monday, May 15th:

Monday May 15thTuesday, May 16thWednesday, May 17thThursday, May 18thFriday
Backports only.Branch wmf.9 and deploy to Group 0 Wikis.Deploy wmf.9 to Group 1 Wikis.Deploy wmf.9 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.9 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.41.0-wmf.8
Next: 1.41.0-wmf.10

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.

Change 919383 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.41.0-wmf.9] Branch commit for wmf/1.41.0-wmf.9

https://gerrit.wikimedia.org/r/919383

Change 919383 merged by jenkins-bot:

[mediawiki/core@wmf/1.41.0-wmf.9] Branch commit for wmf/1.41.0-wmf.9

https://gerrit.wikimedia.org/r/919383

Change 919934 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/919934

Change 919934 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/919934

Mentioned in SAL (#wikimedia-operations) [2023-05-16T03:02:46Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.41.0-wmf.9 refs T330215

Mentioned in SAL (#wikimedia-operations) [2023-05-16T03:51:34Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.41.0-wmf.9 refs T330215 (duration: 48m 47s)

Change 920362 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/920362

Change 920362 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/920362

Mentioned in SAL (#wikimedia-operations) [2023-05-16T18:34:18Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.41.0-wmf.9 refs T330215

I have done a bit of log triage and there is nothing new showing up in the server side error logs. That is encouraging I guess.

Mentioned in SAL (#wikimedia-operations) [2023-05-17T18:03:36Z] <brennen> train 1.41.0-wmf.9 (T330215): no current blockers, rolling to group1 as backup-backup conductor

Change 920763 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/920763

Change 920763 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/920763

Mentioned in SAL (#wikimedia-operations) [2023-05-17T18:27:44Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.41.0-wmf.9 refs T330215

Mentioned in SAL (#wikimedia-operations) [2023-05-17T18:34:07Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.41.0-wmf.9 refs T330215 (duration: 06m 22s)

brennen changed the task status from Open to In Progress.Thu, May 18, 3:58 PM
brennen claimed this task.
brennen added a project: User-brennen.
brennen added subscribers: dancy, brennen.

Taking over train ops for the day.

Change 921079 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921079

Change 921079 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921079

Mentioned in SAL (#wikimedia-operations) [2023-05-18T18:18:22Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.9 refs T330215

brennen changed the task status from In Progress to Open.Thu, May 18, 6:29 PM

Changing status back here since it messes with scap train.

Change 921083 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/921083

Change 921083 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.8

https://gerrit.wikimedia.org/r/921083

Mentioned in SAL (#wikimedia-operations) [2023-05-18T18:50:28Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.8 refs T330215

Not sure if related but I see WD is on 1.41.0-wmf.9 (bacc43a)
https://www.wikidata.org/wiki/Special:Version

And T336952 looks like a Lua problem connected with WD. Our module (https://pl.wikipedia.org/wiki/Modu%C5%82:Kontrola_autorytatywna) does some mw.wikibase operations.

So possibly a blocker?

So possibly a blocker?

I see the original stack trace there is for wmf.8, so I think that one is unlikely to be a result of the wmf.9 train.

I see the original stack trace there is for wmf.8, so I think that one is unlikely to be a result of the wmf.9 train.

...oh, unless it's trickling up from a change to Wikidata. Yeah, possibly? @TheresNoTime, any thoughts?

Change 921104 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921104

Change 921104 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921104

I'm going ahead with the train to group2, since that won't change the state of Wikidata, but if T336952 should in fact block, let me know and we can re-evaluate.

Mentioned in SAL (#wikimedia-operations) [2023-05-18T21:31:15Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.9 refs T330215

Change 921109 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921109

Nearing end of workday here and I have obligations away from the computer, but I'm treating T336952 as a blocker and rolling back overnight. If this is an overreaction, we can correct in the morning. If nothing else it's pretty spammy.

Change 921109 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921109

Mentioned in SAL (#wikimedia-operations) [2023-05-18T23:26:44Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.41.0-wmf.9 refs T330215

Change 921342 had a related patch set uploaded (by TrainBranchBot; author: Hashar):

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921342

Change 921342 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.41.0-wmf.9

https://gerrit.wikimedia.org/r/921342

Mentioned in SAL (#wikimedia-operations) [2023-05-19T13:17:30Z] <hashar@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.41.0-wmf.9 refs T330215